Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: assetmgrmodel::AssetStrip::DeviceInfo Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStrip::DeviceInfo Struct Reference

Static (type, version) information for an AssetStrip. More...

`import "AssetStrip.idl";`

## Public Attributes
int | deviceId
| Device type (indicated a certain hardware)
int | hardwareId
| Hardware ID, revision.
int | protocolVersion
| Protocol version the strip is supporting.
int | bootVersion
| Bootcode software version.
int | appVersion
| Application code software version.
boolean | orientationSensAvailable
| Indicates whether the strip has an orientation sensor.
boolean | isCascadable
| The asset strip type.
boolean | rackUnitCountConfigurable
| Rack unit count has to be configured, i.e. is not auto detected.

## Detailed Description

Static (type, version) information for an AssetStrip.

Definition at line 62 of file AssetStrip.idl.

## Member Data Documentation

## ◆ appVersion

int assetmgrmodel::AssetStrip::DeviceInfo::appVersion

Application code software version.

Definition at line 67 of file AssetStrip.idl.

## ◆ bootVersion

int assetmgrmodel::AssetStrip::DeviceInfo::bootVersion

Bootcode software version.

Definition at line 66 of file AssetStrip.idl.

## ◆ deviceId

int assetmgrmodel::AssetStrip::DeviceInfo::deviceId

Device type (indicated a certain hardware)

Definition at line 63 of file AssetStrip.idl.

## ◆ hardwareId

int assetmgrmodel::AssetStrip::DeviceInfo::hardwareId

Hardware ID, revision.

Definition at line 64 of file AssetStrip.idl.

## ◆ isCascadable

boolean assetmgrmodel::AssetStrip::DeviceInfo::isCascadable

The asset strip type.

Definition at line 69 of file AssetStrip.idl.

## ◆ orientationSensAvailable

boolean assetmgrmodel::AssetStrip::DeviceInfo::orientationSensAvailable

Indicates whether the strip has an orientation sensor.

Definition at line 68 of file AssetStrip.idl.

## ◆ protocolVersion

int assetmgrmodel::AssetStrip::DeviceInfo::protocolVersion

Protocol version the strip is supporting.

Definition at line 65 of file AssetStrip.idl.

## ◆ rackUnitCountConfigurable

boolean assetmgrmodel::AssetStrip::DeviceInfo::rackUnitCountConfigurable

Rack unit count has to be configured, i.e. is not auto detected.

Definition at line 70 of file AssetStrip.idl.

The documentation for this struct was generated from the following file:

- AssetStrip.idl